libqalculate-2.4.0

Classes | Macros | Enumerations
Number-gmp.h File Reference
`#include <libqalculate/includes.h>`
`#include <gmp.h>`
`#include <mpfr.h>`
`#include <cln/cln.h>`

## Classes
class | Number
| A number. More...

## Macros
#define | EQUALS_PRECISION_DEFAULT -1
#define | EQUALS_PRECISION_LOWEST -2
#define | EQUALS_PRECISION_HIGHEST -3

## Enumerations
enum | NumberType { NUMBER_TYPE_RATIONAL, NUMBER_TYPE_FLOAT, NUMBER_TYPE_INFINITY, NUMBER_TYPE_POSITIVE_INFINITY, NUMBER_TYPE_NEGATIVE_INFINITY, NUMBER_TYPE_RATIONAL, NUMBER_TYPE_FLOAT, NUMBER_TYPE_PLUS_INFINITY, NUMBER_TYPE_MINUS_INFINITY }